Bug 240662 - net/sems: fix build on big-endian architectures
Summary: net/sems: fix build on big-endian architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nathan Whitehorn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-18 08:31 UTC by Piotr Kubaj
Modified: 2019-09-30 14:24 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (nwhitehorn)


Attachments
patch (1.67 KB, patch)
2019-09-18 08:31 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (nwhitehorn)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-09-18 08:31:18 UTC
Created attachment 207598 [details]
patch

This port needs C++11 compiler:
cc1plus: error: unrecognized command line option "-std=c++11"

Additionally, it needs appropriate definitions for big-endian architectures:
/usr/local/poudriere/ports/default/net/sems/work/sems-7400051/core/plug-in/isac/libisac/typedefs.h:80:2: error: #error Please add support for your architecture in typedefs.h                                       
   80 | #error Please add support for your architecture in typedefs.h                                     
      |  ^~~~~
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-09-19 21:41:28 UTC
Approved as mentor pending maintainer action (builds on ppcports).
Comment 2 Nathan Whitehorn freebsd_committer 2019-09-24 18:19:37 UTC
Patch looks great to me. Could you also submit upstream?
Comment 3 Piotr Kubaj freebsd_committer 2019-09-25 10:23:13 UTC
(In reply to Nathan Whitehorn from comment #2)
https://github.com/sems-server/sems/pull/134